
jQuery(document).ready(function($) {

    
    $('#nbs-ajax-get').click(function(){
    
        var mydata = {
            action: "get_cool_options",
        };


        // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
        
        $.ajax({
            type: "POST",
            url: ajaxurl,

            dataType: "json",
            data: mydata,
            success: function (data, textStatus, jqXHR) {
                var name = data.name;
				var age = data.age;
				var color = data.favorite_color;
				
				$('#display').html('<p>Name: '+name+' Age: '+age+' Favorite Color: '+color+' </p>');
				
            },
            error: function (errorMessage) {

                console.log(errorMessage);
            }
        
        });      
	
    });	
	
    $('#nbs-ajax-save').click(function(){
    
        
        var mydata = {
            
            action: "save_cool_options",
            name: 'Bob Jones',
			age: 35,
			color: 'green'
        };


        // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
        
        $.ajax({
            type: "POST",
            url: ajaxurl,

            dataType: "json",
            data: mydata,
            success: function (data, textStatus, jqXHR) {
                
				if(data === true)
					$('#display').html('<p>Options Saved!</p>');
				
            },
            
            error: function (errorMessage) {

                console.log(errorMessage);
            }
        
        });    
    
    
    });

});